Bug 129619 - Stored search on folder causes segfault
Stored search on folder causes segfault
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-10 18:46 EDT by Bill Peck
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:06:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2004-08-10 18:46:28 EDT
Description of problem:
Search produces crash...

Version-Release number of selected component (if applicable):
1.5.9-2

How reproducible:
everytime I open that folder with the stored search

Steps to Reproduce:
1. 
2.
3.
  
Actual results:
Boom

Expected results:


Additional info:
gdb) t a a bt
 
Thread 8 (Thread 116911024 (LWP 11891)):
#0  0x009b3402 in ?? ()
#1  0x00910790 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#2  0x00a646a5 in e_msgport_wait (mp=0x9ac1508) at e-msgport.c:511
#3  0x00a64e23 in thread_dispatch (din=0x9ac2150) at e-msgport.c:874
#4  0x0090d98c in start_thread () from /lib/tls/libpthread.so.0
#5  0x00caf16a in clone () from /lib/tls/libc.so.6
 
Thread 7 (Thread 103066544 (LWP 11889)):
#0  0x009b3402 in ?? ()
#1  0x00910790 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#2  0x00a646a5 in e_msgport_wait (mp=0xa7fa8e8) at e-msgport.c:511
#3  0x00f4ab6e in sync_op (emss=0xfffffffc, op=EMSS_WRITE,
    data=0xfffffffc <Address 0xfffffffc out of bounds>, n=4294967292)
    at em-sync-stream.c:225
#4  0x00f4adae in stream_flush (stream=0xa7fa710) at em-sync-stream.c:299
#5  0x0102486f in camel_stream_flush (stream=0xa7fa710) at
camel-stream.c:136
#6  0x01022e92 in do_flush (stream=0xa7fcd48) at camel-stream-filter.c:365
#7  0x0102486f in camel_stream_flush (stream=0xa7fcd48) at
camel-stream.c:136
#8  0x01022e92 in do_flush (stream=0xa7fce44) at camel-stream-filter.c:365
---Type <return> to continue, or q <return> to quit---
#9  0x0102486f in camel_stream_flush (stream=0xa7fce44) at
camel-stream.c:136
#10 0x01022e92 in do_flush (stream=0xa7fce20) at camel-stream-filter.c:365
#11 0x0102486f in camel_stream_flush (stream=0xa7fce20) at
camel-stream.c:136
#12 0x00fd3f30 in decode_to_stream (data_wrapper=0xa7fea94,
stream=0xfffffffc)
    at camel-data-wrapper.c:209
#13 0x00fd40ce in camel_data_wrapper_decode_to_stream
(data_wrapper=0xa7fea94,
    stream=0xa7fce44) at camel-data-wrapper.c:233
#14 0x00f313fd in em_format_format_text (emf=0xa8276f8, stream=0xfffffffc,
    dw=0xa7fea94) at em-format.c:966
#15 0x00f336f4 in efh_text_plain (efh=0x9be5128, stream=0xa7fa710,
    part=0xa7b5f68, info=0xfb2080) at em-format-html.c:709
#16 0x00f3103e in em_format_part_as (emf=0x9be5128, stream=0xa7fa710,
    part=0xa7b5f68, mime_type=0xa7fd638 "text/plain") at em-format.c:497
#17 0x00f310b5 in em_format_part (emf=0x9be5128, stream=0xa7fa710,
    part=0xa7b5f68) at em-format.c:520
#18 0x00f355be in efh_format_message (emf=0x9be5128, stream=0xa7fa710,
    part=0xa7b5f68) at em-format-html.c:1692
#19 0x00f37b0f in efhd_format_message (emf=0xfffffffc, stream=0xfffffffc,
    part=0xfffffffc) at em-format-html-display.c:1035
#20 0x00f346f2 in efh_format_do (mm=0xa7ca640) at em-format-html.c:1164
#21 0x00f5d89e in mail_msg_received (e=0x9ac16d8, msg=0xa7ca640, data=0x0)
    at mail-mt.c:502
#22 0x00a64db8 in thread_dispatch (din=0x9ac16d8) at e-msgport.c:826
---Type <return> to continue, or q <return> to quit---
#23 0x0090d98c in start_thread () from /lib/tls/libpthread.so.0
#24 0x00caf16a in clone () from /lib/tls/libc.so.6
 
Thread 6 (Thread 64154544 (LWP 11888)):
#0  0x009b3402 in ?? ()
#1  0x00910790 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#2  0x00a646a5 in e_msgport_wait (mp=0x9ac15b8) at e-msgport.c:511
#3  0x00a64e23 in thread_dispatch (din=0x9ac16d8) at e-msgport.c:874
#4  0x0090d98c in start_thread () from /lib/tls/libpthread.so.0
#5  0x00caf16a in clone () from /lib/tls/libc.so.6
 
Thread 5 (Thread 133561264 (LWP 11886)):
#0  0x009b3402 in ?? ()
#1  0x00910790 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#2  0x00a646a5 in e_msgport_wait (mp=0x9ac21a8) at e-msgport.c:511
#3  0x00a64e23 in thread_dispatch (din=0x9abd950) at e-msgport.c:874
#4  0x0090d98c in start_thread () from /lib/tls/libpthread.so.0
#5  0x00caf16a in clone () from /lib/tls/libc.so.6
 
Thread 3 (Thread 47881136 (LWP 11884)):
#0  0x009b3402 in ?? ()
---Type <return> to continue, or q <return> to quit---
#1  0x00910790 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#2  0x00a646a5 in e_msgport_wait (mp=0x9ac15b8) at e-msgport.c:511
#3  0x00a64e23 in thread_dispatch (din=0x9ac16d8) at e-msgport.c:874
#4  0x0090d98c in start_thread () from /lib/tls/libpthread.so.0
#5  0x00caf16a in clone () from /lib/tls/libc.so.6
 
Thread 2 (Thread 37391280 (LWP 11883)):
#0  0x009b3402 in ?? ()
#1  0x00910790 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#2  0x00a646a5 in e_msgport_wait (mp=0x9ac15b8) at e-msgport.c:511
#3  0x00a64e23 in thread_dispatch (din=0x9ac16d8) at e-msgport.c:874
#4  0x0090d98c in start_thread () from /lib/tls/libpthread.so.0
#5  0x00caf16a in clone () from /lib/tls/libc.so.6
 
Thread 1 (Thread -150346048 (LWP 11878)):
#0  html_engine_timer_event (e=0x9c12f98) at htmlengine.c:1264
#1  0x0501d018 in html_engine_flush (e=0x9c12f98) at htmlengine.c:6332
#2  0x04feffa0 in gtk_html_flush (html=0xa838c80) at gtkhtml.c:5535
#3  0x00f4c56c in emhs_sync_flush (stream=0x0) at em-html-stream.c:127
#4  0x00f4a9ff in emcs_gui_received (source=0xa7b6998, cond=G_IO_IN,
    data=0xa7fa710) at em-sync-stream.c:161
---Type <return> to continue, or q <return> to quit---
#5  0x004e434f in g_vasprintf () from /usr/lib/libglib-2.0.so.0
#6  0x004bee82 in unblock_source () from /usr/lib/libglib-2.0.so.0
#7  0x004bff78 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#8  0x004c02b0 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#9  0x004c08f3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#10 0x04d410a8 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#11 0x08065218 in main (argc=0, argv=0xfeee1944) at main.c:604
(gdb)
Comment 1 Dave Malcolm 2004-08-10 19:04:50 EDT
The crash appears to be in the preview pane (possibly when
highlighting text in the search? - it was a "Body contains" search
IIRC), and was on a particular message.
Comment 2 Dave Malcolm 2004-09-28 15:42:12 EDT
Did you figure out in the end which email was causing this?  Is it
reproducable on more recent versions of Evolution?
Comment 4 John Thacker 2006-10-29 17:01:53 EST
Changing version to correct one.  (test1 -> fc3test1, and some were filed as
test3 accidentally instead; but clearly must be fc3test1 given the date of filing.)
Comment 5 Matthew Barnes 2007-01-02 12:59:41 EST
Closing as INSUFFICIENT_DATA due to lack of response.  Feel free to re-open this
if you encounter the same problem in Fedora Core 6 or later.

Note You need to log in before you can comment on or make changes to this bug.